> ## Documentation Index
> Fetch the complete documentation index at: https://docs.telli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Agenten auflisten

> Returns a paginated list of agents for the authenticated account.



## OpenAPI

````yaml openapi-v2.json GET /v2/agents
openapi: 3.1.1
info:
  title: telli API
  version: 2.0.0
  description: telli V2 API
servers:
  - url: https://api.telli.com
    description: prod
security:
  - BearerAuth: []
paths:
  /v2/agents:
    get:
      summary: List agents
      description: Returns a paginated list of agents for the authenticated account.
      operationId: agents.listAgents
      parameters:
        - name: limit
          in: query
          schema:
            type: number
            minimum: 1
            maximum: 100
            default: 50
          allowEmptyValue: true
          allowReserved: true
        - name: cursor
          in: query
          schema:
            type: string
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    const: AgentCollection
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        type:
                          const: Agent
                        title:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        language:
                          type: string
                      required:
                        - id
                        - type
                        - title
                        - createdAt
                        - language
                  pageInfo:
                    type: object
                    properties:
                      hasNextPage:
                        type: boolean
                      nextCursor:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - hasNextPage
                      - nextCursor
                  meta:
                    type: object
                    properties:
                      limit:
                        type: number
                      count:
                        type: number
                      total:
                        type: number
                    required:
                      - limit
                      - count
                      - total
                required:
                  - type
                  - data
                  - pageInfo
                  - meta
        '400':
          description: '400'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: INVALID_CURSOR
                      status:
                        const: 400
                      message:
                        type: string
                        default: Invalid pagination cursor
                      data:
                        type: object
                        properties:
                          cursor:
                            type: string
                        required:
                          - cursor
                    required:
                      - defined
                      - code
                      - status
                      - message
                      - data
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '401':
          description: '401'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: UNAUTHORIZED
                      status:
                        const: 401
                      message:
                        type: string
                        default: API key is missing or invalid
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key authentication. Use your telli API key as the bearer token.

````